--
-- Copyright 2012 Aaron MacDonald
--
-- Licensed under the Apache License, Version 2.0 (the "License");
-- you may not use this file except in compliance with the License.
-- You may obtain a copy of the License at
--
--     http://www.apache.org/licenses/LICENSE-2.0
--
-- Unless required by applicable law or agreed to in writing, software
-- distributed under the License is distributed on an "AS IS" BASIS,
-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-- implied.
-- See the License for the specific language governing permissions and
-- limitations under the License.
--

local TileSheets = {
    dungeon = {
        file = 'dungeon',

        named_tiles = {
            floor = {0, 128, 64, 64},

            special_floor_nw = { 0,  0, 64, 64},
            special_floor_ne = {64,  0, 64, 64},
            special_floor_se = {64, 64, 64, 64},
            special_floor_sw = { 0, 64, 64, 64},

            floor_edge = {64, 160, 64, 32},

            wall_front = {64, 128, 64, 32},
            wall_top = {128, 0, 64, 64},

            inner_wall_front = {128, 128, 64, 32},
            inner_wall_top = {128, 64, 64, 64}
        }
    }
}

return TileSheets